Skip to content

Query Single Task

GET https://www.kkiai.com/luma/generations/{task_id}

"state": "completed" Enum values: "pending", "processing", "completed", "failed"

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Path Parameters

Parameter NameTypeRequiredDescription
task_idstringRequired

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringRequiredBearer {{YOUR_API_KEY}}

cURL Example

bash
curl --location --request GET 'https://www.kkiai.com/luma/generations/4665a07c-7641-4809-a133-10786201bb56' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
idstringRequired
statestringRequired
videoobjectRequired
  └ urlstringRequired
  └ widthintegerRequired
  └ heightintegerRequired
  └ download_urlstringRequired
requestobjectRequired
  └ promptstringRequired
  └ aspect_ratiostringRequired
artifactobjectRequired
  └ videoobjectRequired
  └ thumbnailobjectRequired
  └ video_rawobjectRequired
  └ created_atstringRequired
  └ last_frameobjectRequired
thumbnailobjectRequired
  └ urlstringRequired
  └ widthintegerRequired
  └ heightintegerRequired
  └ paletteobjectRequired
  └ media_typestringRequired
video_rawobjectRequired
  └ urlstringRequired
  └ widthintegerRequired
  └ heightintegerRequired
  └ durationnumberRequired
  └ media_typestringRequired
created_atstringRequired
last_frameobjectRequired
  └ urlstringRequired
  └ widthintegerRequired
  └ heightintegerRequired
  └ palettenullRequired
  └ media_typestringRequired

Response Example

json
{"id": "4665a07c-7641-4809-a133-10786201bb56", "state": "completed", "video": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4", "width": 1360, "height": 752, "download_url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4"}, "request": {"prompt": "cat dance", "aspect_ratio": "16:9"}, "artifact": {"video": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4", "width": 1360, "height": 752, "download_url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4"}, "thumbnail": {"url": "https://imagedelivery.net/1KomXrSWiTojGGip43n0SQ/e4268de5-4a74-45ff-67b8-dc46df12de00/public", "width": 1360, "height": 752, "palette": {"grid": "em9csKqXYUgqdHVmmqeZLB8YaFpLjVw2bmFTTElBHhMNTzgodD8eVzUeTDorRSkYYEQymV80e1M0ck0ugWVRwKCApWk0hF1BgmVP"}, "media_type": "image"}, "video_raw": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4", "width": 1360, "height": 752, "duration": 5.041667, "media_type": "video"}, "created_at": "0001-01-01T00:00:00Z", "last_frame": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/606108d9-9daf-4265-84fb-595f18240ac5/video_0_last_frame.jpg", "width": 1360, "height": 752, "palette": null, "media_type": "image"}}, "thumbnail": {"url": "https://imagedelivery.net/1KomXrSWiTojGGip43n0SQ/e4268de5-4a74-45ff-67b8-dc46df12de00/public", "width": 1360, "height": 752, "palette": {"grid": "em9csKqXYUgqdHVmmqeZLB8YaFpLjVw2bmFTTElBHhMNTzgodD8eVzUeTDorRSkYYEQymV80e1M0ck0ugWVRwKCApWk0hF1BgmVP"}, "media_type": "image"}, "video_raw": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/35049450-c008-4607-b1d0-0b025599f15d/video0b6619468da8e409da860706bbf26bbad.mp4", "width": 1360, "height": 752, "duration": 5.041667, "media_type": "video"}, "created_at": "2024-12-22T13:38:40.139Z", "last_frame": {"url": "https://storage.cdn-luma.com/dream-machine/b0d67582-c6f0-4973-a89c-3fea9d46d5e9/606108d9-9daf-4265-84fb-595f18240ac5/video_0_last_frame.jpg", "width": 1360, "height": 752, "palette": null, "media_type": "image"}}